## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond bootstrap 0

Name:           dola-transformer
Version:        1.0.2
Release:        %autorelease
Summary:        Maven 4 extension for dynamic POM transformation
License:        Apache-2.0
URL:            https://github.com/mizdebsk/dola-transformer
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source:         https://github.com/mizdebsk/dola-transformer/releases/download/%{version}/dola-transformer-%{version}.tar.zst

BuildSystem:    maven
BuildOption:    usesJavapackagesBootstrap
BuildOption:    xmvnToolchain "openjdk25"
BuildOption:    buildRequireVersion "org.apache.maven:" "4.0.0-rc-4"
# TODO enable tests once EasyMock is updated to version >= 5.
# Tests require EasyMock 5, but we only have EasyMock 4 packaged.
BuildOption:    skipTests

%description
Dola Transformer is an extension for Apache Maven 4 that enables
dynamic, in-memory transformation of project models (POMs) without
modifying them on disk.  It supports a range of transformations,
including adding or removing plugins, dependencies, and parent POMs.

Unlike traditional POM modification tools from the Javapackages
project, Dola Transformer works with a variety of model formats and is
not limited to XML.  This makes it especially useful in environments
where custom Maven builds are needed without manually editing POM
files.

%files -f .mfiles
%license LICENSE NOTICE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Jul 12 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.2-1
- Update to upstream version 1.0.2

* Fri Jul 04 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-3
- Configure smoke tests for gating

* Thu Jul 03 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-2
- Switch to declarative build

* Mon Jun 23 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-1
- Update to upstream version 1.0.1

* Fri Jun 13 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-2
- Implement bootstrap mode

* Wed Jun 11 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-1
- Update to upstream version 1.0.0

* Thu May 22 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-4
- Switch javapackages test plan to f43 ref

* Fri May 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-3
- Onboard package into gating

* Fri May 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-2
- Remove AUTHORS file from %%doc

* Fri May 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 0^20250515.102327.git.e03f39a-1
- Initial packaging
## END: Generated by rpmautospec
